package org.telegram.messenger;

import org.telegram.tgnet.TLRPC;

import java.util.concurrent.CountDownLatch;

public class AnimatedFileDrawableStream  {

    private Object loadOperation;
    private CountDownLatch countDownLatch;
    private TLRPC.Document document;
    private Object parentObject;
    private int currentAccount;
    private volatile boolean canceled;
    private final Object sync = new Object();
    private int lastOffset;
    private boolean waitingForLoad;
    private boolean preview;

    public AnimatedFileDrawableStream(TLRPC.Document d, Object p, int a, boolean prev) {

    }

    public int read(int offset, int readLength) {
   return 0;
    }

    public void cancel() {

    }

    public void cancel(boolean removeLoading) {

    }

    public void reset() {
        synchronized (sync) {
            canceled = false;
        }
    }

    public TLRPC.Document getDocument() {
        return document;
    }

    public Object getParentObject() {
        return document;
    }

    public boolean isPreview() {
        return preview;
    }

    public int getCurrentAccount() {
        return currentAccount;
    }

    public boolean isWaitingForLoad() {
        return waitingForLoad;
    }


    public void newDataAvailable() {

    }
}